Pkg-config file?


#1

It seems the deb package for Couchbase 2.4.5 (libcouchbase-dev) is missing a pkg-config file, which is required by other applications to recognize Couchbase as installed (Cabal in my case). Is there a reason it’s missing, am I overlooking something?

Greetings,
David


#2

‘Required’ is a rather strong wording, but it’s certainly common. However typically pkg-config files are used when the software being built has a more complex dependency (for example, additional linker flags; and such).

Does Cabal require a .pc file being present?


#3

As far as I can tell, that’s the way to go for Cabal. Writing the .pc file shouldn’t be hard on a per-user basis, but it makes it much harder to automatically build the library using Cabal.

FWIW, this is the Cabal error encountered by running cabal configure: cabal: The pkg-config package 'couchbase' version >=2.4.5 is required but it could not be found.